#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './trackerviewbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "trackerviewbase.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <tdelistview.h>
#include <ntqlineedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a TrackerViewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TrackerViewBase::TrackerViewBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "TrackerViewBase" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    TrackerViewBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "TrackerViewBaseLayout"); 

    txtTracker = new TQLineEdit( this, "txtTracker" );

    TrackerViewBaseLayout->addWidget( txtTracker, 1, 0 );

    btnUpdate = new KPushButton( this, "btnUpdate" );

    TrackerViewBaseLayout->addWidget( btnUpdate, 0, 1 );

    btnAdd = new KPushButton( this, "btnAdd" );

    TrackerViewBaseLayout->addWidget( btnAdd, 1, 1 );

    layout8 = new TQVBoxLayout( 0, 0, 6, "layout8"); 

    btnRemove = new KPushButton( this, "btnRemove" );
    layout8->addWidget( btnRemove );

    btnChange = new TQPushButton( this, "btnChange" );
    layout8->addWidget( btnChange );
    spacer4_2 = new TQSpacerItem( 20, 68, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout8->addItem( spacer4_2 );

    btnRestore = new KPushButton( this, "btnRestore" );
    layout8->addWidget( btnRestore );

    TrackerViewBaseLayout->addLayout( layout8, 2, 1 );

    listTrackers = new TDEListView( this, "listTrackers" );
    listTrackers->addColumn( tr2i18n( "Trackers" ) );
    listTrackers->setResizeMode( TDEListView::AllColumns );
    listTrackers->setFullWidth( TRUE );

    TrackerViewBaseLayout->addWidget( listTrackers, 2, 0 );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( textLabel1 );

    lblCurrent = new TQLineEdit( this, "lblCurrent" );
    TQFont lblCurrent_font(  lblCurrent->font() );
    lblCurrent_font.setBold( TRUE );
    lblCurrent->setFont( lblCurrent_font ); 
    lblCurrent->setFrameShape( TQLineEdit::NoFrame );
    lblCurrent->setFrameShadow( TQLineEdit::Plain );
    lblCurrent->setReadOnly( TRUE );
    layout6->addWidget( lblCurrent );
    spacer5_2 = new TQSpacerItem( 16, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    layout6->addItem( spacer5_2 );

    textLabel3 = new TQLabel( this, "textLabel3" );
    textLabel3->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( textLabel3 );

    lblStatus = new TQLabel( this, "lblStatus" );
    lblStatus->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, lblStatus->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( lblStatus );
    spacer15 = new TQSpacerItem( 16, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    layout6->addItem( spacer15 );

    textLabel5 = new TQLabel( this, "textLabel5" );
    textLabel5->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, textLabel5->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( textLabel5 );

    lblUpdate = new TQLabel( this, "lblUpdate" );
    layout6->addWidget( lblUpdate );

    TrackerViewBaseLayout->addLayout( layout6, 0, 0 );
    languageChange();
    resize( TQSize(750, 254).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnChange, TQ_SIGNAL( clicked() ), this, TQ_SLOT( btnChange_clicked() ) );
    connect( btnUpdate, TQ_SIGNAL( clicked() ), this, TQ_SLOT( btnUpdate_clicked() ) );
    connect( btnAdd, TQ_SIGNAL( clicked() ), this, TQ_SLOT( btnAdd_clicked() ) );
    connect( btnRemove, TQ_SIGNAL( clicked() ), this, TQ_SLOT( btnRemove_clicked() ) );
    connect( btnRestore, TQ_SIGNAL( clicked() ), this, TQ_SLOT( btnRestore_clicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TrackerViewBase::~TrackerViewBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TrackerViewBase::languageChange()
{
    btnUpdate->setText( tr2i18n( "&Update Tracker" ) );
    TQToolTip::add( btnUpdate, tr2i18n( "Minimum update interval - 60 seconds" ) );
    btnAdd->setText( tr2i18n( "Add Trac&ker" ) );
    btnRemove->setText( tr2i18n( "Remove Tracker" ) );
    btnChange->setText( tr2i18n( "Ch&ange Tracker" ) );
    btnRestore->setText( tr2i18n( "Restore Defaults" ) );
    listTrackers->header()->setLabel( 0, tr2i18n( "Trackers" ) );
    textLabel1->setText( tr2i18n( "URL:" ) );
    textLabel3->setText( tr2i18n( "Status:" ) );
    lblStatus->setText( TQString::null );
    textLabel5->setText( tr2i18n( "Next update in:" ) );
    lblUpdate->setText( TQString::null );
}

void TrackerViewBase::btnChange_clicked()
{
    tqWarning( "TrackerViewBase::btnChange_clicked(): Not implemented yet" );
}

void TrackerViewBase::listTrackers_currentChanged(TQListViewItem*)
{
    tqWarning( "TrackerViewBase::listTrackers_currentChanged(TQListViewItem*): Not implemented yet" );
}

void TrackerViewBase::btnUpdate_clicked()
{
    tqWarning( "TrackerViewBase::btnUpdate_clicked(): Not implemented yet" );
}

void TrackerViewBase::btnAdd_clicked()
{
    tqWarning( "TrackerViewBase::btnAdd_clicked(): Not implemented yet" );
}

void TrackerViewBase::btnRemove_clicked()
{
    tqWarning( "TrackerViewBase::btnRemove_clicked(): Not implemented yet" );
}

void TrackerViewBase::btnRestore_clicked()
{
    tqWarning( "TrackerViewBase::btnRestore_clicked(): Not implemented yet" );
}

#include "trackerviewbase.moc"
