#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './searchbar.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchbar.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SearchBar as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SearchBar::SearchBar( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SearchBar" );
    SearchBarLayout = new TQHBoxLayout( this, 11, 6, "SearchBarLayout"); 

    m_back = new KPushButton( this, "m_back" );
    SearchBarLayout->addWidget( m_back );

    m_reload = new KPushButton( this, "m_reload" );
    SearchBarLayout->addWidget( m_reload );

    m_clear_button = new KPushButton( this, "m_clear_button" );
    SearchBarLayout->addWidget( m_clear_button );

    m_search_text = new KLineEdit( this, "m_search_text" );
    SearchBarLayout->addWidget( m_search_text );

    m_search_button = new KPushButton( this, "m_search_button" );
    SearchBarLayout->addWidget( m_search_button );
    spacer1 = new TQSpacerItem( 60, 20, TQSizePolicy::Maximum, TQSizePolicy::Minimum );
    SearchBarLayout->addItem( spacer1 );

    textLabel1 = new TQLabel( this, "textLabel1" );
    SearchBarLayout->addWidget( textLabel1 );

    m_search_engine = new KComboBox( FALSE, this, "m_search_engine" );
    m_search_engine->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, m_search_engine->sizePolicy().hasHeightForWidth() ) );
    m_search_engine->setMinimumSize( TQSize( 150, 0 ) );
    SearchBarLayout->addWidget( m_search_engine );
    languageChange();
    resize( TQSize(804, 52).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchBar::~SearchBar()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchBar::languageChange()
{
    m_back->setText( TQString::null );
    m_reload->setText( TQString::null );
    m_clear_button->setText( TQString::null );
    m_search_button->setText( tr2i18n( "Search" ) );
    textLabel1->setText( tr2i18n( "Engine:" ) );
}

#include "searchbar.moc"
