#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './upnpwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "upnpwidget.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a UPnPWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
UPnPWidget::UPnPWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "UPnPWidget" );
    UPnPWidgetLayout = new TQVBoxLayout( this, 11, 6, "UPnPWidgetLayout"); 

    layout1 = new TQVBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    m_device_list = new TDEListView( this, "m_device_list" );
    m_device_list->addColumn( tr2i18n( "Device" ) );
    m_device_list->addColumn( tr2i18n( "Ports Forwarded" ) );
    m_device_list->addColumn( tr2i18n( "WAN Connection" ) );
    layout1->addWidget( m_device_list );
    UPnPWidgetLayout->addLayout( layout1 );

    layout3 = new TQHBoxLayout( 0, 0, 6, "layout3"); 

    m_forward_btn = new KPushButton( this, "m_forward_btn" );
    layout3->addWidget( m_forward_btn );

    m_undo_forward_btn = new KPushButton( this, "m_undo_forward_btn" );
    layout3->addWidget( m_undo_forward_btn );
    spacer2 = new TQSpacerItem( 70, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout3->addItem( spacer2 );

    m_rescan = new TQPushButton( this, "m_rescan" );
    layout3->addWidget( m_rescan );
    UPnPWidgetLayout->addLayout( layout3 );
    languageChange();
    resize( TQSize(600, 561).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
UPnPWidget::~UPnPWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void UPnPWidget::languageChange()
{
    setCaption( tr2i18n( "UPnP" ) );
    textLabel1->setText( tr2i18n( "Detected devices:" ) );
    m_device_list->header()->setLabel( 0, tr2i18n( "Device" ) );
    m_device_list->header()->setLabel( 1, tr2i18n( "Ports Forwarded" ) );
    m_device_list->header()->setLabel( 2, tr2i18n( "WAN Connection" ) );
    m_forward_btn->setText( tr2i18n( "Forw&ard Ports" ) );
    m_undo_forward_btn->setText( tr2i18n( "Undo Port Forwarding" ) );
    m_rescan->setText( tr2i18n( "Rescan" ) );
}

#include "upnpwidget.moc"
