#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './pluginmanagerwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "pluginmanagerwidget.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <labelview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PluginManagerWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PluginManagerWidget::PluginManagerWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PluginManagerWidget" );
    PluginManagerWidgetLayout = new TQHBoxLayout( this, 11, 6, "PluginManagerWidgetLayout"); 

    plugin_view = new kt::LabelView( this, "plugin_view" );
    plugin_view->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, plugin_view->sizePolicy().hasHeightForWidth() ) );
    PluginManagerWidgetLayout->addWidget( plugin_view );

    layout1 = new TQVBoxLayout( 0, 0, 6, "layout1"); 

    load_btn = new KPushButton( this, "load_btn" );
    layout1->addWidget( load_btn );

    unload_btn = new KPushButton( this, "unload_btn" );
    layout1->addWidget( unload_btn );

    load_all_btn = new KPushButton( this, "load_all_btn" );
    layout1->addWidget( load_all_btn );

    unload_all_btn = new KPushButton( this, "unload_all_btn" );
    layout1->addWidget( unload_all_btn );
    spacer1 = new TQSpacerItem( 20, 31, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout1->addItem( spacer1 );
    PluginManagerWidgetLayout->addLayout( layout1 );
    languageChange();
    resize( TQSize(600, 320).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PluginManagerWidget::~PluginManagerWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PluginManagerWidget::languageChange()
{
    setCaption( tr2i18n( "Plugin Manager" ) );
    load_btn->setText( tr2i18n( "Load" ) );
    unload_btn->setText( tr2i18n( "U&nload" ) );
    load_all_btn->setText( tr2i18n( "Load &All" ) );
    unload_all_btn->setText( tr2i18n( "&Unload All" ) );
}

#include "pluginmanagerwidget.moc"
