#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './sfprefwidgetbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sfprefwidgetbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SfPrefPageWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SfPrefPageWidgetBase::SfPrefPageWidgetBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SfPrefPageWidgetBase" );
    SfPrefPageWidgetBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "SfPrefPageWidgetBaseLayout"); 

    layout16 = new TQVBoxLayout( 0, 0, 6, "layout16"); 

    use1 = new TQCheckBox( this, "use1" );
    layout16->addWidget( use1 );

    use2 = new TQCheckBox( this, "use2" );
    layout16->addWidget( use2 );

    use3 = new TQCheckBox( this, "use3" );
    layout16->addWidget( use3 );

    SfPrefPageWidgetBaseLayout->addLayout( layout16, 0, 0 );

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new TQGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    moveCheck = new TQCheckBox( buttonGroup1, "moveCheck" );

    buttonGroup1Layout->addWidget( moveCheck, 2, 0 );

    openSilently = new TQCheckBox( buttonGroup1, "openSilently" );

    buttonGroup1Layout->addWidget( openSilently, 0, 0 );

    deleteCheck = new TQCheckBox( buttonGroup1, "deleteCheck" );

    buttonGroup1Layout->addWidget( deleteCheck, 1, 0 );

    SfPrefPageWidgetBaseLayout->addWidget( buttonGroup1, 3, 0 );

    groupBox9 = new TQGroupBox( this, "groupBox9" );
    groupBox9->setColumnLayout(0, TQt::Vertical );
    groupBox9->layout()->setSpacing( 6 );
    groupBox9->layout()->setMargin( 11 );
    groupBox9Layout = new TQGridLayout( groupBox9->layout() );
    groupBox9Layout->setAlignment( TQt::AlignTop );

    url1 = new KURLRequester( groupBox9, "url1" );
    url1->setEnabled( FALSE );

    groupBox9Layout->addWidget( url1, 0, 1 );

    url2 = new KURLRequester( groupBox9, "url2" );
    url2->setEnabled( FALSE );

    groupBox9Layout->addWidget( url2, 1, 1 );

    url3 = new KURLRequester( groupBox9, "url3" );
    url3->setEnabled( FALSE );

    groupBox9Layout->addWidget( url3, 2, 1 );

    textLabel1 = new TQLabel( groupBox9, "textLabel1" );

    groupBox9Layout->addWidget( textLabel1, 0, 0 );

    textLabel2 = new TQLabel( groupBox9, "textLabel2" );

    groupBox9Layout->addWidget( textLabel2, 1, 0 );

    textLabel3 = new TQLabel( groupBox9, "textLabel3" );

    groupBox9Layout->addWidget( textLabel3, 2, 0 );

    SfPrefPageWidgetBaseLayout->addWidget( groupBox9, 2, 0 );
    spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    SfPrefPageWidgetBaseLayout->addItem( spacer6, 1, 0 );
    spacer4 = new TQSpacerItem( 20, 90, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SfPrefPageWidgetBaseLayout->addItem( spacer4, 4, 0 );
    languageChange();
    resize( TQSize(546, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( use1, TQ_SIGNAL( toggled(bool) ), url1, TQ_SLOT( setEnabled(bool) ) );
    connect( use2, TQ_SIGNAL( toggled(bool) ), url2, TQ_SLOT( setEnabled(bool) ) );
    connect( use3, TQ_SIGNAL( toggled(bool) ), url3, TQ_SLOT( setEnabled(bool) ) );
    connect( deleteCheck, TQ_SIGNAL( toggled(bool) ), moveCheck, TQ_SLOT( setDisabled(bool) ) );
    connect( moveCheck, TQ_SIGNAL( toggled(bool) ), deleteCheck, TQ_SLOT( setDisabled(bool) ) );

    // tab order
    setTabOrder( use1, use2 );
    setTabOrder( use2, use3 );
    setTabOrder( use3, url1 );
    setTabOrder( url1, url2 );
    setTabOrder( url2, url3 );
    setTabOrder( url3, openSilently );
    setTabOrder( openSilently, deleteCheck );
    setTabOrder( deleteCheck, moveCheck );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SfPrefPageWidgetBase::~SfPrefPageWidgetBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SfPrefPageWidgetBase::languageChange()
{
    setCaption( tr2i18n( "ScanFolder Preferences" ) );
    use1->setText( tr2i18n( "Scan folder &1" ) );
    use2->setText( tr2i18n( "Scan folder &2" ) );
    use3->setText( tr2i18n( "Scan folder &3" ) );
    buttonGroup1->setTitle( tr2i18n( "Options" ) );
    moveCheck->setText( tr2i18n( "Move to \"loaded\" directory &after loading" ) );
    TQToolTip::add( moveCheck, tr2i18n( "Move torrent to \"loaded\" directory after loading it" ) );
    openSilently->setText( tr2i18n( "Open torrents silentl&y" ) );
    TQToolTip::add( openSilently, tr2i18n( "Do not show 'Select files to download' dialog" ) );
    deleteCheck->setText( tr2i18n( "Delete after loadin&g" ) );
    TQToolTip::add( deleteCheck, tr2i18n( "Deletes torrent after loading" ) );
    groupBox9->setTitle( tr2i18n( "Folders to scan" ) );
    textLabel1->setText( tr2i18n( "Folder 1:" ) );
    textLabel2->setText( tr2i18n( "Folder 2:" ) );
    textLabel3->setText( tr2i18n( "Folder 3:" ) );
}

#include "sfprefwidgetbase.moc"
