#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './schedulerpage.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "schedulerpage.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SchedulerPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SchedulerPage::SchedulerPage( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SchedulerPage" );
    SchedulerPageLayout = new TQGridLayout( this, 1, 1, 11, 6, "SchedulerPageLayout"); 

    useBS = new TQCheckBox( this, "useBS" );

    SchedulerPageLayout->addWidget( useBS, 0, 0 );

    groupBWS = new TQGroupBox( this, "groupBWS" );
    groupBWS->setColumnLayout(0, TQt::Vertical );
    groupBWS->layout()->setSpacing( 6 );
    groupBWS->layout()->setMargin( 11 );
    groupBWSLayout = new TQGridLayout( groupBWS->layout() );
    groupBWSLayout->setAlignment( TQt::AlignTop );

    useColors = new TQCheckBox( groupBWS, "useColors" );

    groupBWSLayout->addMultiCellWidget( useColors, 0, 0, 0, 1 );

    textLabel1_2 = new TQLabel( groupBWS, "textLabel1_2" );

    groupBWSLayout->addWidget( textLabel1_2, 0, 2 );

    btnEditBWS = new TQPushButton( groupBWS, "btnEditBWS" );

    groupBWSLayout->addWidget( btnEditBWS, 2, 0 );
    spacer22 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBWSLayout->addMultiCell( spacer22, 2, 2, 1, 2 );
    spacer18 = new TQSpacerItem( 20, 80, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    groupBWSLayout->addItem( spacer18, 1, 1 );

    SchedulerPageLayout->addWidget( groupBWS, 1, 0 );
    spacer8 = new TQSpacerItem( 20, 40, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SchedulerPageLayout->addItem( spacer8, 2, 0 );
    languageChange();
    resize( TQSize(570, 401).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( useBS, TQ_SIGNAL( toggled(bool) ), groupBWS, TQ_SLOT( setEnabled(bool) ) );
    connect( btnEditBWS, TQ_SIGNAL( clicked() ), this, TQ_SLOT( btnEditBWS_clicked() ) );
    connect( useColors, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( useColors_toggled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SchedulerPage::~SchedulerPage()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SchedulerPage::languageChange()
{
    setCaption( tr2i18n( "Scheduler Plugin Pref Page" ) );
    useBS->setText( tr2i18n( "Use &bandwidth scheduler?" ) );
    groupBWS->setTitle( tr2i18n( "Bandwidth Scheduler" ) );
    useColors->setText( tr2i18n( "Use colors instead of pi&xmaps?" ) );
    textLabel1_2->setText( tr2i18n( "(Recommended for slower systems)" ) );
    btnEditBWS->setText( tr2i18n( "Edit s&chedule" ) );
}

void SchedulerPage::btnEditBWS_toggled(bool)
{
    tqWarning( "SchedulerPage::btnEditBWS_toggled(bool): Not implemented yet" );
}

void SchedulerPage::btnEditBWS_clicked()
{
    tqWarning( "SchedulerPage::btnEditBWS_clicked(): Not implemented yet" );
}

void SchedulerPage::useColors_toggled(bool)
{
    tqWarning( "SchedulerPage::useColors_toggled(bool): Not implemented yet" );
}

#include "schedulerpage.moc"
